summaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
authorCarlos Martín Nieto <cmn@dwim.me>2013-08-19 18:50:03 +0200
committerCarlos Martín Nieto <cmn@dwim.me>2013-08-19 18:50:03 +0200
commit5875e8d21a1f2db8849e7babe7f0e2c7aee5a2a1 (patch)
tree18ad21e17a48938b0198ff82cafad0d4cfa2be94 /script
parent6d69fbce31c391c7a7739f8156b0d63f399c53bf (diff)
downloadlibgit2-5875e8d21a1f2db8849e7babe7f0e2c7aee5a2a1.tar.gz
travis: exit on failure for anything related to building
Diffstat (limited to 'script')
-rwxr-xr-xscript/cibuild.sh11
1 files changed, 3 insertions, 8 deletions
diff --git a/script/cibuild.sh b/script/cibuild.sh
index 2b8d1af08..aa4fa47aa 100755
--- a/script/cibuild.sh
+++ b/script/cibuild.sh
@@ -8,14 +8,9 @@ export GITTEST_REMOTE_URL="git://localhost/test.git"
mkdir _build
cd _build
-cmake .. -DCMAKE_INSTALL_PREFIX=../_install $OPTIONS
-cmake --build . --target install
-ctest -V .
-ecode=$?
-
-if [ $ecode -ne 0 ]; then
- exit $ecode
-fi
+cmake .. -DCMAKE_INSTALL_PREFIX=../_install $OPTIONS || exit $?
+cmake --build . --target install || exit $?
+ctest -V . || exit $?
# Now that we've tested the raw git protocol, let's set up ssh to we
# can do the push tests over it